# std::enable_shared_from_this< _Tp > Class Template Reference
[Pointer Abstractions]

Base class allowing use of member function shared_from_this. More...

List of all members.

## Public Member Functions

- shared_ptr< _Tp > shared_from_this ()
- shared_ptr< const _Tp > shared_from_this () const

## Protected Member Functions

- enable_shared_from_this (const enable_shared_from_this &)
- enable_shared_from_this & operator= (const enable_shared_from_this &)

## Friends

- template<typename _Tp1 > void __enable_shared_from_this_helper (const __shared_count<> &__pn, const enable_shared_from_this *__pe, const _Tp1 *__px)

## Detailed Description

### template<typename _Tp>
class std::enable_shared_from_this< _Tp >

Base class allowing use of member function shared_from_this.

Definition at line 398 of file shared_ptr.h.

The documentation for this class was generated from the following file:

- shared_ptr.h